package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.scheduling.management.SchOperationLogApi;
import com.docus.server.dto.scheduling.management.schoperationlog.AddSchOperationLogDTO;
import com.docus.server.dto.scheduling.management.schoperationlog.DeleteSchOperationLogDTO;
import com.docus.server.dto.scheduling.management.schoperationlog.EditSchOperationLogDTO;
import com.docus.server.service.ISchOperationLogService;
import com.docus.server.vo.scheduling.management.schoperationlog.SchOperationLogVO;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 采集调度器操作日志 控制器类
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@RestController
public class SchOperationLogController implements SchOperationLogApi {
    @Resource
    private ISchOperationLogService iSchOperationLogService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public SchOperationLogVO findById(String id) {
        return iSchOperationLogService.findById(id);
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<SchOperationLogVO> search(SearchDTO searchDTO) {
        return iSchOperationLogService.search(searchDTO);
    }

    /**
     * 新增
     *
     * @param addSchOperationLogDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(AddSchOperationLogDTO addSchOperationLogDTO) {
        return iSchOperationLogService.add(addSchOperationLogDTO);
    }

    /**
     * 编辑
     *
     * @param editSchOperationLogDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(EditSchOperationLogDTO editSchOperationLogDTO) {
        return iSchOperationLogService.edit(editSchOperationLogDTO);
    }

    /**
     * 批量删除
     *
     * @param deleteSchOperationLogDTO 删除参数
     * @return 成功或失败
     */
    @Override
    public int delete(DeleteSchOperationLogDTO deleteSchOperationLogDTO) {
        return iSchOperationLogService.delete(deleteSchOperationLogDTO);
    }
}
