package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.scheduling.management.schcollectrecord.AddSchCollectRecordDTO;
import com.docus.server.dto.scheduling.management.schcollectrecord.DeleteSchCollectRecordDTO;
import com.docus.server.dto.scheduling.management.schcollectrecord.EditSchCollectRecordDTO;
import com.docus.server.vo.scheduling.management.schcollectrecord.SchCollectRecordVO;

/**
 * 采集记录表 服务接口
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
public interface ISchCollectRecordService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    SchCollectRecordVO findById(String id);

    /**
     * 新增
     *
     * @param addSchCollectRecordDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddSchCollectRecordDTO addSchCollectRecordDTO);

    /**
     * 编辑
     *
     * @param editSchCollectRecordDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditSchCollectRecordDTO editSchCollectRecordDTO);

    /**
     * 批量删除
     *
     * @param deleteSchCollectRecordDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteSchCollectRecordDTO deleteSchCollectRecordDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<SchCollectRecordVO> search(SearchDTO searchDTO);
}
