package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.scheduling.management.schcollectorconfig.AddSchCollectorConfigDTO;
import com.docus.server.dto.scheduling.management.schcollectorconfig.DeleteSchCollectorConfigDTO;
import com.docus.server.dto.scheduling.management.schcollectorconfig.EditSchCollectorConfigDTO;
import com.docus.server.vo.scheduling.management.schcollectorconfig.SchCollectorConfigVO;

/**
 * 采集器配置 服务接口
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
public interface ISchCollectorConfigService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    SchCollectorConfigVO findById(String id);

    /**
     * 新增
     *
     * @param addSchCollectorConfigDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddSchCollectorConfigDTO addSchCollectorConfigDTO);

    /**
     * 编辑
     *
     * @param editSchCollectorConfigDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditSchCollectorConfigDTO editSchCollectorConfigDTO);

    /**
     * 批量删除
     *
     * @param deleteSchCollectorConfigDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteSchCollectorConfigDTO deleteSchCollectorConfigDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<SchCollectorConfigVO> search(SearchDTO searchDTO);

    /**
     * 更新采集器配置
     */
    void updateCollectorConfig();
}
