package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.scheduling.management.schcollectorversionfile.AddSchCollectorVersionFileDTO;
import com.docus.server.dto.scheduling.management.schcollectorversionfile.DeleteSchCollectorVersionFileDTO;
import com.docus.server.dto.scheduling.management.schcollectorversionfile.EditSchCollectorVersionFileDTO;
import com.docus.server.vo.scheduling.management.schcollectorversionfile.SchCollectorVersionFileVO;
import org.springframework.web.multipart.MultipartFile;

/**
 * 采集器版本列表更新包管理 服务接口
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
public interface ISchCollectorVersionFileService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    SchCollectorVersionFileVO findById(String id);

    /**
     * 新增
     *
     * @param addSchCollectorVersionFileDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddSchCollectorVersionFileDTO addSchCollectorVersionFileDTO);

    /**
     * 编辑
     *
     * @param editSchCollectorVersionFileDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditSchCollectorVersionFileDTO editSchCollectorVersionFileDTO);

    /**
     * 批量删除
     *
     * @param deleteSchCollectorVersionFileDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteSchCollectorVersionFileDTO deleteSchCollectorVersionFileDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<SchCollectorVersionFileVO> search(SearchDTO searchDTO);

    /**
     * 新增版本和版本文件
     */
    void addVersionAndFile(AddSchCollectorVersionFileDTO addSchCollectorVersionFileDTO, MultipartFile[] multipartFiles) throws Exception;
}
