package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.scheduling.management.schsystemparams.AddSchSystemParamsDTO;
import com.docus.server.dto.scheduling.management.schsystemparams.DeleteSchSystemParamsDTO;
import com.docus.server.dto.scheduling.management.schsystemparams.EditSchSystemParamsDTO;
import com.docus.server.entity.scheduling.management.SchSystemParams;
import com.docus.server.vo.scheduling.management.schsystemparams.SchSystemParamsVO;

import java.util.List;
import java.util.Map;

/**
 * 系统参数表 服务接口
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
public interface ISchSystemParamsService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    SchSystemParamsVO findById(String id);

    /**
     * 新增
     *
     * @param addSchSystemParamsDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddSchSystemParamsDTO addSchSystemParamsDTO);

    /**
     * 编辑
     *
     * @param editSchSystemParamsDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditSchSystemParamsDTO editSchSystemParamsDTO);

    /**
     * 批量删除
     *
     * @param deleteSchSystemParamsDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteSchSystemParamsDTO deleteSchSystemParamsDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<SchSystemParamsVO> search(SearchDTO searchDTO);


    /**
     * 采集器id获取采集器名称
     *
     * @param paramValueIds 采集器ids
     * @return Map<String, SchSystemParams>
     */
    Map<String, SchSystemParams> find(List<Long> paramValueIds);
}
