package com.docus.server.archivefile.controller;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.archivefile.TaskConfigRetryLogApi;
import com.docus.server.archivefile.service.ITaskConfigRetryLogService;
import com.docus.server.entity.TaskConfigRetryLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;

/**
 * 主动任务配置重试表 Controller
 * Generated on  2023-06-29
 */
@RestController
public class TaskConfigRetryLogController implements TaskConfigRetryLogApi {
    @Autowired
    private ITaskConfigRetryLogService taskConfigRetryLogService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskConfigRetryLog find(String id) {
        return taskConfigRetryLogService.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskConfigRetryLog> search(SearchRequest searchRequest) {
        return taskConfigRetryLogService.search(searchRequest);
    }
}
