package com.docus.server.archivefile.controller;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.archivefile.TaskMessageRetryLogApi;
import com.docus.server.archivefile.service.ITaskMessageRetryLogService;
import com.docus.server.entity.TaskMessageRetryLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RestController;

/**
 * 任务消息重试表 Controller
 * Generated on  2023-06-28
 */
@RestController
public class TaskMessageRetryLogController implements TaskMessageRetryLogApi {
    @Autowired
    private ITaskMessageRetryLogService taskMessageRetryLogService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return实体
     */
    @Override
    public TaskMessageRetryLog find(String id) {
        return taskMessageRetryLogService.findById(id);
    }

    /*
     * 关键字搜素
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskMessageRetryLog> search(SearchRequest searchRequest) {
        return taskMessageRetryLogService.search(searchRequest);
    }
}
