package com.docus.server.archivefile.infrastructure.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 病案采集任务
 * </p>
 *
 * @author 曾文和
 * @since 2021-05-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "AfCollectTask对象", description = "病案采集任务")
public class AfCollectTask implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id 主键")
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "病案主键")
    private String patientId;

    @ApiModelProperty(value = "来源 1护理文书，2 电子病历，3 Pacs检查，4心电图，5手麻系统，6 Lis检验，7病案首页，8长临医嘱")
    private String sysflag;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty(value = "任务耗时(毫秒)")
    private Long consumingTime;

    @ApiModelProperty(value = "-1 等待采集，0：未开始，1:正在采集，2：采集错误，3采集完成")
    private String state;

    @ApiModelProperty(value = "同步时间")
    private Date syncTime;

    @ApiModelProperty(value = "最新重新采集时间")
    private Date recollectTime;

    @ApiModelProperty(value = "最新重新采集人")
    private String recollectName;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "报告唯一单号")
    private String C1;

    @ApiModelProperty(value = "c2")
    private String C2;

    @ApiModelProperty(value = "记账号")
    private String C3;

    @ApiModelProperty(value = "c4")
    private String C4;

    @ApiModelProperty(value = "c6")
    private String C6;

    @ApiModelProperty(value = "c9")
    private String C9;
}
