package com.docus.server.api.scheduling.management;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.scheduling.management.schcollecterrorlog.AddSchCollectErrorLogDTO;
import com.docus.server.dto.scheduling.management.schcollecterrorlog.DeleteSchCollectErrorLogDTO;
import com.docus.server.dto.scheduling.management.schcollecterrorlog.EditSchCollectErrorLogDTO;
import com.docus.server.vo.scheduling.management.schcollecterrorlog.SchCollectErrorLogVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;


/**
 * 采集器异常日志 API
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Api(value = "采集器异常日志接口", tags = "采集器异常日志接口")
@FeignClient(value = "collector-scheduling-management", contextId = "collector-scheduling-management.SchCollectErrorLogApi")
@RequestMapping("/sch/collectErrorLog")
public interface SchCollectErrorLogApi {

    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @GetMapping("/find/{id}")
    SchCollectErrorLogVO findById(@PathVariable(value = "id") String id);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜索")
    @PostMapping("/search")
    PageResult<SchCollectErrorLogVO> search(@RequestBody SearchDTO searchDTO);

    /**
     * 新增
     *
     * @param addSchCollectErrorLogDTO 新增参数
     * @return 成功或失败
     */
    @ApiOperation("新增")
    @PostMapping("/add")
    boolean add(@RequestBody AddSchCollectErrorLogDTO addSchCollectErrorLogDTO);

    /**
     * 编辑
     *
     * @param editSchCollectErrorLogDTO 编辑参数
     * @return 成功或失败
     */
    @ApiOperation("编辑")
    @PutMapping("/edit")
    boolean edit(@RequestBody EditSchCollectErrorLogDTO editSchCollectErrorLogDTO);

    /**
     * 批量删除
     *
     * @param deleteSchCollectErrorLogDTO 删除参数
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @DeleteMapping("/delete")
    int delete(@RequestBody DeleteSchCollectErrorLogDTO deleteSchCollectErrorLogDTO);
}
