package com.docus.server.api.scheduling.management;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.scheduling.management.schcollectorversion.AddSchCollectorVersionDTO;
import com.docus.server.dto.scheduling.management.schcollectorversion.DeleteSchCollectorVersionDTO;
import com.docus.server.dto.scheduling.management.schcollectorversion.EditSchCollectorVersionDTO;
import com.docus.server.vo.scheduling.management.schcollectorversion.SchCollectorVersionVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;


/**
 * 采集器版本列表管理 API
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Api(value = "采集器版本列表管理接口", tags = "采集器版本列表管理接口")
@FeignClient(value = "collector-scheduling-management", contextId = "collector-scheduling-management.SchCollectorVersionApi")
@RequestMapping("/sch/collectorVersion")
public interface SchCollectorVersionApi {

    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @GetMapping("/find/{id}")
    SchCollectorVersionVO findById(@PathVariable(value = "id") String id);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜索")
    @PostMapping("/search")
    PageResult<SchCollectorVersionVO> search(@RequestBody SearchDTO searchDTO);

    /**
     * 新增
     *
     * @param addSchCollectorVersionDTO 新增参数
     * @return 成功或失败
     */
    @ApiOperation("新增")
    @PostMapping("/add")
    boolean add(@RequestBody AddSchCollectorVersionDTO addSchCollectorVersionDTO);

    /**
     * 编辑
     *
     * @param editSchCollectorVersionDTO 编辑参数
     * @return 成功或失败
     */
    @ApiOperation("编辑")
    @PutMapping("/edit")
    boolean edit(@RequestBody EditSchCollectorVersionDTO editSchCollectorVersionDTO);

    /**
     * 批量删除
     *
     * @param deleteSchCollectorVersionDTO 删除参数
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @DeleteMapping("/delete")
    int delete(@RequestBody DeleteSchCollectorVersionDTO deleteSchCollectorVersionDTO);
}
