package com.docus.server.entity.scheduling.management;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.docus.server.enums.StateEnum;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 采集器版本更新日志管理
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sch_collector_version_log")
@ApiModel(value = "SchCollectorVersionLog对象", description = "采集器版本更新日志管理")
public class SchCollectorVersionLog implements Serializable {

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;

    @ApiModelProperty(value = "采集器管理id")
    @TableField("collector_id")
    private Long collectorId;

    @ApiModelProperty(value = "操作模块")
    @TableField("operation_module")
    private String operationModule;

    @ApiModelProperty(value = "操作类型")
    @TableField("operation_type")
    private String operationType;

    @ApiModelProperty(value = "操作描述")
    @TableField("operation_desc")
    private String operationDesc;

    @ApiModelProperty(value = "操作内容")
    @TableField("operation_content")
    private String operationContent;

    @ApiModelProperty(value = "执行状态0：成功，1:失败")
    @TableField("state")
    private StateEnum state;

    @ApiModelProperty(value = "入库时间")
    @TableField("create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "入库更新时间")
    @TableField("update_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
