package com.docus.server.entity.scheduling.management;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

/**
*
* 虚拟机使用情况
*
* @author AutoGenerator
* @since 2023-07-15
*/
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sch_virtual_log")
@ApiModel(value="SchVirtualLog对象", description="虚拟机使用情况")
public class SchVirtualLog implements Serializable {

    @ApiModelProperty(value = "终端id")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;

    @ApiModelProperty(value = "CPU使用率")
    @TableField("cpu_utilization")
    private String cpuUtilization;

    @ApiModelProperty(value = "物理内存总量（单位：MB）")
    @TableField("memory_total")
    private Double memoryTotal;

    @ApiModelProperty(value = "物理内存余量（单位：MB）")
    @TableField("memory_allowance")
    private Double memoryAllowance;

    @ApiModelProperty(value = "当前网络上行速率(KBPS)")
    @TableField("uplink_rate")
    private String uplinkRate;

    @ApiModelProperty(value = "当前网络下行速率")
    @TableField("descending_rate")
    private String descendingRate;

    @ApiModelProperty(value = "采集器终端ip地址")
    @TableField("ip")
    private String ip;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "客户端创建时间")
    @TableField("client_time")
    private LocalDateTime clientTime;

    @ApiModelProperty(value = "多个磁盘大小（单位：MB），当前使用量和总容量（单位：MB）")
    @TableField("disk_json")
    private String diskJson;


}
